> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sailhouse.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Send an event

> Send an event to Sailhouse



## OpenAPI

````yaml POST /topics/{topic_slug}/events
openapi: 3.0.0
info:
  title: Sailhouse API
  description: Generated API documentation for Sailhouse
  version: 1.0.0
servers:
  - url: https://api.sailhouse.dev
security:
  - bearerAuth: []
paths:
  /topics/{topic_slug}/events:
    post:
      tags:
        - events
      summary: Send an event
      description: Send an event to Sailhouse
      operationId: IngestEvent
      parameters:
        - name: topic_slug
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendEventRequest'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendEventResponse'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    SendEventRequest:
      type: object
      properties:
        data:
          type: object
          description: The event data, as a JSON object
        metadata:
          type: object
          description: Additional metadata for the event
        send_at:
          type: string
          nullable: true
          description: >-
            RFC3339 formatted string for when the event should be sent to
            subscriptions
        wait_group_instance_id:
          type: string
          nullable: true
          description: ID of the wait group instance to which this event should be added to
      required:
        - data
    SendEventResponse:
      type: object
      properties:
        id:
          type: string
          description: The ID of the event that was sent.
      required:
        - id
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    apiKey:
      type: apiKey
      in: header
      name: Authorization

````